#!/bin/bash
MBINS=/root/my-applications/bin
[ ! -d $MBINS ] && MBINS=/opt/local/bin
# $MBINS/htpdate.sh
# With link in: / Avec lien dans : /root/Startup
#
# Goal: Synchronise the time and date of your Puppy with Internet
# ----- time by probing various http sites.
#
# Objectif : Synchroniser le temps et l'heure de votre Toutou ou 
# ---------- Puppy en sondant divers sites http.
#
# Please read the NOTE below. / S.v.p. lire la NOTE ci-dessous.
#
# (c) musher0, Gatineau (Qc), Canada, 27 décembre 2018. GPL3.
####
[ -f /root/root/last-date ] && date --set="`cat /root/last-date`" || date --set="20181227 14:28"
sleep 2s
htpdate -as www.linux.org www.freebsd.org www.ask.com unix.stackexchange.com puppylinux.com www.gnu.org www.cnrs.fr www.assnat.qc.ca www.parl.ca
date > /root/last-date

exit

~~~~~~~~~~~~~~
~~ NOTE ~~
~~~~~~~~~~~
Replaces /usr/local/ptimesync and /root/Startup/timesync.sh
(please remove or store out of the way) in slacko-700_32-bits. 

As it is, this script should offer a precision between 0.6 and
0.167 of a second.

If you wish, you can test and use other public sites than 
those above.

~~~~~~~~~~~~~~

Remplace /usr/local/ptimesync et /root/Startup/timesync.sh
(s.v.p. enlever ou entreproser ailleurs) dans slacko-700_32-bits.

Tel quel, le script devrait offrir une précision de 0,6 à 0,167
seconde.

Si vous le souhaitez, vous pouvez tester et utiliser d'autres
sites publics que ceux ci-dessus.
~~~~~~~~~~~~~~
